package com.base.superfilemanager.notificationclean

import android.content.Intent
import android.graphics.Color
import androidx.core.view.updatePadding
import com.blankj.utilcode.util.BarUtils
import com.blankj.utilcode.util.SPUtils
import com.base.superfilemanager.databinding.ActivityLayoutTionGuestBinding
import com.base.superfilemanager.helps.BaseActivity

class NotificationGuestActivity : BaseActivity<ActivityLayoutTionGuestBinding>() {


    override val binding: ActivityLayoutTionGuestBinding by lazy {
        ActivityLayoutTionGuestBinding.inflate(layoutInflater)
    }


    override fun initView() {
        BarUtils.setStatusBarLightMode(this, true)
        BarUtils.setStatusBarColor(this, Color.TRANSPARENT)
        binding.root.updatePadding(top = BarUtils.getStatusBarHeight())
        binding.idTzGuest.imageAssetsFolder = "ying_go_dao/images/"
        binding.idTzGuest.setAnimation("ying_go_dao/data.json")
        binding.idTzGuest.playAnimation()
        SPUtils.getInstance().put("notification_guest", true)
        binding.idTvTryNow.setOnClickListener {
            startActivity(Intent(this, NotificationCleanActivity::class.java))
            finish()
        }
        binding.idTGuanbi.setOnClickListener {
            finishToMain()
        }
    }

}